Fetch fees for Stablecoin or Fiat payouts
curl --request GET \
--url https://api-staging.stablestack.com/api/payouts/fees \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api-staging.stablestack.com/api/payouts/fees"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api-staging.stablestack.com/api/payouts/fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-staging.stablestack.com/api/payouts/fees",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-staging.stablestack.com/api/payouts/fees"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-staging.stablestack.com/api/payouts/fees")
.header("x-api-key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-staging.stablestack.com/api/payouts/fees")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"fees": {
"currency_type": "STABLECOIN",
"fee_type": "percentage",
"fee_value": "0.2000"
},
"otherFee": {
"currency": "usdc",
"network": "erc20",
"fee": "1.00"
}
}
}Payouts
Fetch Fees
API reference for fetching payout fees for Stablecoin and Fiat transactions
GET
/
payouts
/
fees
Fetch fees for Stablecoin or Fiat payouts
curl --request GET \
--url https://api-staging.stablestack.com/api/payouts/fees \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api-staging.stablestack.com/api/payouts/fees"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api-staging.stablestack.com/api/payouts/fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-staging.stablestack.com/api/payouts/fees",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-staging.stablestack.com/api/payouts/fees"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-staging.stablestack.com/api/payouts/fees")
.header("x-api-key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-staging.stablestack.com/api/payouts/fees")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"fees": {
"currency_type": "STABLECOIN",
"fee_type": "percentage",
"fee_value": "0.2000"
},
"otherFee": {
"currency": "usdc",
"network": "erc20",
"fee": "1.00"
}
}
}Retrieves payout fees for both Stablecoin and Fiat transactions.
Required parameters differ based on currency_type (defaults to STABLECOIN).
Headers
Query Parameters
The amount to calculate fees for
Type of currency (STABLECOIN or FIAT). Defaults to STABLECOIN if not specified.
Available options:
STABLECOIN, FIAT Source currency code (e.g., usdc)
Available options:
usdc Blockchain network (required for STABLECOIN). Example: erc20, polygon, etc.
Target fiat currency code (required for FIAT). Example: ngn, zar, etc.
Available options:
usdc, ngn, zar Optional filter for FIAT specific market pairs (e.g., usdcngn)
Available options:
usdcngn, usdczar, usdcusdc Response
OK
The response is of type object.